Installation problem

Help
Steve
2010-10-09
2013-04-16
  • Steve
    Steve
    2010-10-09

    I just installed Eclipse: Version: Helios Service Release 1
    Build id: 20100917-0705
    and Aptana/Pydev v3.  When trying to install pyuml I get the following in Eclipse:

    Cannot complete the install because one or more required items could not be found.
      Software being installed: PyUML Feature 1.2.2 (pyUML.feature.group 1.2.2)
      Missing requirement: PyUML Feature 1.2.2 (pyUML.feature.group 1.2.2) requires 'org.eclipse.uml2.diagram.clazz 0.0.0' but it could not be found

    I installed uml2 Extender SDK since I saw the org.eclipse.diagram.clazz, but it did not help.  Any suggestions?  Thanks.

     
  • Friedolino
    Friedolino
    2010-12-23

    second to this

     
  • Martin Dittmar
    Martin Dittmar
    2010-12-24

    Hello, thank you for your Post, I will check this as soon as possible!
    Merry Christmas until then,

    Martin

     
  • Martin Dittmar
    Martin Dittmar
    2011-01-15

    Hello,

    I tried to install with Helios Service Release 1 and it does work, although it is a little pain to get it work with the update manager, because Eclipse has in the newest version only a small software repository activated. After enabling more update sites, everything can be installed. Do not install "uml2 Extender SDK", what PyUML needs is UML2TOOLS. For some reason, the UML2TOOLS are not recognized as dependency any more, so they have to be checked manually.

    Here is a walkthrough for the installation:

    Go to Help->Install new software
    * First add the PyDEV update site and the PyUML update site (http://pydev.org/updates and http://eclipse-pyuml.sourceforge.net/update_site)
    click on "Available software sites". If there is a list with only 4 or 5 entries, cancel and go there again. Now there should be a list with many software sources. Check everything containing "mdt", "emf" or "modeling". After pressing "OK", it will take some time to update the software sources.
    * Now you can go to "Help->Install Software" again, on the top set "Work with" to "PyUML" and install "Eclipse PyUML". This will also install PyDEV automatically.
    * After restarting eclipse, go again to "Help->Install Software", select "Work with -> MDT Update Site"
    * At the bottom of the list, open the latest "MDT UML2TOOLS SDK" (version 0.9 is working) and check "UML2 Tools"
    * After restarting and configuring PyDEV (Windows->Preferences->PyDev->Interpreter-Python->New), everything works as it should.

    If you still have problems, don't hesitate to write again.

    Yours, Martin